%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% this function colormean tries to find the color mean of the data set
% for each color in the image, record its weights: how many points in the image with this color
% Must consider the weights while computing the mean 
% programmer: Qifang Xu
% cis581 project
% date: November 4, 2002

% input: a matrix of each color with weights
% output: return mean

function [mn] = find_mean(data)
[row, col] = size(data);
sumR = 0;
sumG = 0;
sumB = 0;
count = 0;
for i = 1:row
    sumR = sumR + data(i, 1) * data(i, col);
    sumG = sumG + data(i, 2) * data(i, col);
    sumB = sumB + data(i, 3) * data(i, col);
    count = count + data(i, col);
end

thisMean(1) = sumR / count;
thisMean(2) = sumG / count;
thisMean(3) = sumB / count;

mn = thisMean;

return;