%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% this function distMean tries to find the distance mean of the data set
% for each color in the image, record its weights: how many points in the image with this color
% Must consider the weights while computing the mean 
% programmer: Qifang Xu
% cis581 project
% date: November 6, 2002

% input: a matrix of each color with weights
% output: return mean

function [dmn] = distMean(dist, num)
sum = 0;
count = 0;
for i = 1:length(dist)
    sum = sum + dist(i) * num(i);
    count = count + num(i);
end

thisMean = sum / count;

dmn = thisMean;

return;